curl --request POST \
--url https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}/assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscriptionPlan": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ",
"buyer": {
"email": "buyer@example.com",
"phoneNumber": "+573215786325",
"firstName": "Santiago",
"lastName": "García",
"user": "01JNRVWWHH68E76V3TMFFT6GHJ"
}
}
'{
"name": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/plan-assignments/01JNRVWWHH68E76V3TMFFT6GHJ",
"subscriptionPlan": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ",
"status": "PENDING_ACCEPTANCE",
"buyer": {
"email": "<string>",
"phoneNumber": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"user": "<string>"
},
"createTime": "2024-01-15T10:30:00Z",
"acceptanceUrl": "https://checkout.confiopagos.com/s/abc123token",
"acceptanceTokenExpiresAt": "2024-01-22T10:30:00Z",
"currentPeriodStart": "2024-01-15T10:30:00Z",
"currentPeriodEnd": "2024-02-15T10:30:00Z",
"nextBillingTime": "2024-02-15T10:30:00Z"
}Assign a subscription plan to a buyer. This generates an acceptance link that the buyer must use to confirm and set up their payment method.
curl --request POST \
--url https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}/assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscriptionPlan": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ",
"buyer": {
"email": "buyer@example.com",
"phoneNumber": "+573215786325",
"firstName": "Santiago",
"lastName": "García",
"user": "01JNRVWWHH68E76V3TMFFT6GHJ"
}
}
'{
"name": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/plan-assignments/01JNRVWWHH68E76V3TMFFT6GHJ",
"subscriptionPlan": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ",
"status": "PENDING_ACCEPTANCE",
"buyer": {
"email": "<string>",
"phoneNumber": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"user": "<string>"
},
"createTime": "2024-01-15T10:30:00Z",
"acceptanceUrl": "https://checkout.confiopagos.com/s/abc123token",
"acceptanceTokenExpiresAt": "2024-01-22T10:30:00Z",
"currentPeriodStart": "2024-01-15T10:30:00Z",
"currentPeriodEnd": "2024-02-15T10:30:00Z",
"nextBillingTime": "2024-02-15T10:30:00Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"01G65Z755AFWAKHE12NY0CQ9FH"
"01JNRVWWHH68E76V3TMFFT6GHJ"
Resource name of the subscription plan to assign (format: organizations/{org}/stores/{store}/subscription-plans/{plan})
"organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ"
Show child attributes
Successfully created plan assignment.
Plan assignment's resource name
"organizations/01JNRR1NY8MDX4XCGG0N4F06X3/plan-assignments/01JNRVWWHH68E76V3TMFFT6GHJ"
Resource name of the assigned subscription plan
"organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ"
Assignment status
ASSIGNMENT_STATUS_UNSPECIFIED, PENDING_ACCEPTANCE, ACTIVE, TRIALING, PAST_DUE, CANCELED, EXPIRED, SUSPENDED "PENDING_ACCEPTANCE"
Buyer information
Show child attributes
Creation timestamp
"2024-01-15T10:30:00Z"
URL for buyer to accept the subscription (only available when status is PENDING_ACCEPTANCE)
"https://checkout.confiopagos.com/s/abc123token"
Expiration time of the acceptance token
"2024-01-22T10:30:00Z"
Start of current billing period
"2024-01-15T10:30:00Z"
End of current billing period
"2024-02-15T10:30:00Z"
Next billing date
"2024-02-15T10:30:00Z"